> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rimp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a comparison with all child generations



## OpenAPI

````yaml /api-reference/openapi.json get /v1/comparisons/{id}
openapi: 3.1.0
info:
  title: Rimp API
  version: 1.0.0
  description: >-
    AI generation API across 8 modalities — image, video, voice, music, avatar,
    chat, 3D and upscale. Multi-model side-by-side comparisons, unified billing,
    one API key.
servers:
  - url: https://api.rimp.io
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/comparisons/{id}:
    get:
      summary: Get a comparison with all child generations
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Comparison found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Comparison'
        '404':
          description: Comparison not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Comparison:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - comparison
        status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - partial
            - failed
        prompt:
          type: string
        params_shared:
          type: object
          additionalProperties: true
        reserved_credits:
          type: integer
        created_at:
          type: string
          format: date-time
        finished_at:
          type: string
          format: date-time
          nullable: true
        generations:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              model:
                type: string
              status:
                type: string
              charged_credits:
                type: integer
              refunded_credits:
                type: integer
              error_code:
                type: string
                nullable: true
              outputs:
                type: array
                items:
                  $ref: '#/components/schemas/GenerationOutput'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
    GenerationOutput:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - image
            - video
            - audio
            - thumbnail
        mime:
          type: string
        width:
          type: integer
          nullable: true
        height:
          type: integer
          nullable: true
        duration_s:
          type: string
          nullable: true
        url:
          type: string
          format: uri
        moderation_status:
          type: string
          enum:
            - pending
            - approved
            - flagged
            - blocked
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````